initInstall("Forumzilla", "/mozdev/forumzilla", "0.5.2+");

//var chromeDir = getFolder("Profile", "chrome");
//var installDir = getFolder(chromeDir, "forumzilla");

var componentsDir = getFolder("Components");
addFile("Feed Component", "components/Feed.js", componentsDir, "");
addFile("Feed Item Component", "components/FeedItem.js", componentsDir, "");
addFile("Feed Service Component", "components/FeedService.js", componentsDir, "");
addFile("nsIFeed Interface", "components/nsIFeed.xpt", componentsDir, "");
addFile("nsIFeedItem Interface", "components/nsIFeedItem.xpt", componentsDir, "");
addFile("nsIFeedService Interface", "components/nsIFeedService.xpt", componentsDir, "");
addFile("nsIFeedItemStorageListener Interface", "components/nsIFeedItemStorageListener.xpt", componentsDir, "");

// Where the package will be installed (chrome/forumzilla/).
var installDir = getFolder("Chrome", "forumzilla");
setPackageFolder(installDir);

// Installs the contents of the XPI:chrome/forumzilla/ directory
// into the installation directory.
addDirectory("", "chrome/forumzilla", installDir, "");

// Registers the files we've installed with the chrome registry.
registerChrome(CONTENT | DELAYED_CHROME, getFolder(installDir, "content"));
registerChrome(LOCALE  | DELAYED_CHROME, getFolder(installDir, "locale/en-US"));

var result = performInstall();
if ( result != SUCCESS ) cancelInstall(result);
